<?php
include 'S_security.php';
?>

<!DOCTYPE html>
<html lang="cs">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Plánovač událostí</title>
  <link rel="icon" type="image/png" href="Photo.png">
  <link href="scss.css" rel="stylesheet" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-2 col-md-3 purple-bar">
        <div class="button-container">
         <br>
         <button type="button" class="btn btn-success mb-3" onclick="window.location.href='M_Addmoto.php';"><b>Přidat motocykl</b></button>
         <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Addclient.php';">Přidat uživatele</button>
         <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Calendar.php';">Plánovač událostí</button>
         <button onclick="openModal()" class="btn btn-primary mb-3">Seznam kolegů</button>
          <div id="myModal" class="modal">
            <div class="modal-content">
              <span class="close" onclick="closeModal()">&times;</span>
              <?php

                $servername = '10.79.157.1:3306';
                $username = 'root';
                $password = '*****';
                $dbname = 'moto_dilna_db';
                
                try {
                  $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                  $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                  // Načtení jmen a příjmení (kolegů mechaniků)
                  $stmt = $conn->prepare("SELECT login
                        FROM Prihlasovaci_udaje
                        WHERE Prava_idPrava = 2");
                        $stmt->execute();

                        // Výpis jmen a příjmení
                        echo "<ul>";
                        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                        echo "<li>" . $row['login'] . "</li>";
                        }
                        echo "</ul>";

                        } catch(PDOException $e) {
                        echo "Připojení k databázi selhalo: " . $e->getMessage();
                        }
                        $conn = null;
              ?>
            </div>
          </div>
          <script> 
              // Zobrazení vyskakovacího okna
              function openModal() {
              document.getElementById("myModal").style.display = "block";
              }
              // zavření vyskakovacího okna
              function closeModal() {
              document.getElementById("myModal").style.display = "none";
              }
              // Skrytí vyskakovacího okna po kliknutí vedle
              window.onclick = function(event) {
              var modal = document.getElementById("myModal");
              if (event.target == modal) {
              modal.style.display = "none";
              }
              }
          </script>
           <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Seznam motocyklů</button>
           <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Chat.php';">Podpora</button>
        </div>
      </div>
      <div class="col-lg-8 col-md-8"> 
        <div class="middle-bar">
          <div class="content">
            <div class="centered-text">
             <h1><b>Plánovač událostí</b></h1>   
              <div class="container">          
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        <form method="get" action="">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">Hledej:</span>
                                </div>
                                <input type="text" class="form-control col-lg-12" name="search" placeholder="Zadejte událost/moto model">
                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-primary">Vyhledat</button>
                                    <button type="button" class="btn btn-danger" onclick="window.location.href='M_Calendar.php';">Zpět</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="scrollable">
                <?php

                $servername = '10.79.157.1:3306';
                $username = 'root';
                $password = '*****';
                $dbname = 'moto_dilna_db';

                try {
                    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                    // Vyhledávání podle modelu motocyklu, pokud byl odeslán formulář
                    if(isset($_GET['search']) && !empty($_GET['search'])) {
                      $search = $_GET['search'];
                      $stmt = $conn->prepare("SELECT u. idUdalost, u.nazevUdalosti, u.datumZahajeni, u.datumUkonceni, u.poznamky, m.model, z.nazev, m.rokVyroby, m.vin, o.jmeno, o.prijmeni, o.telefon, o.email
                      FROM Udalost u
                      JOIN Motocykl m ON u.Motocykl_idMotocykl = m.idMotocykl
                      JOIN Znacka z ON m.Znacka_idZnacka = z.idZnacka
                      JOIN Klient k ON m.Klient_idKlient = k.idKlient
                      JOIN Osobni_udaje o ON k.Osobni_udaje_idOsobni_udaje = o.idOsobni_udaje
                      WHERE u.nazevUdalosti LIKE :search 
                         OR m.model LIKE :search 
                         OR u.poznamky LIKE :search");
                      $stmt->execute(array(':search' => '%' . $search . '%'));
                  } elseif(isset($_GET['nazevUdalosti']) && !empty($_GET['nazevUdalosti'])) {
                      $nazevUdalosti = $_GET['nazevUdalosti'];
                      $stmt = $conn->prepare("SELECT u.idUdalost, u.nazevUdalosti, u.datumZahajeni, u.datumUkonceni, u.poznamky, m.model, z.nazev, m.rokVyroby, m.vin, o.jmeno, o.prijmeni, o.telefon, o.email
                      FROM Udalost u
                      JOIN Motocykl m ON u.Motocykl_idMotocykl = m.idMotocykl
                      JOIN Znacka z ON m.Znacka_idZnacka = z.idZnacka
                      JOIN Klient k ON m.Klient_idKlient = k.idKlient
                      JOIN Osobni_udaje o ON k.Osobni_udaje_idOsobni_udaje = o.idOsobni_udaje
                      WHERE u.nazevUdalosti = :nazevUdalosti");
                      $stmt->execute(array(':nazevUdalosti' => $nazevUdalosti));
                  } else {
                        // Pokud nebyl odeslán formulář, zobrazí všechny záznamy
                        $stmt = $conn->prepare("SELECT Udalost.*, Motocykl.*, Znacka.*, Osobni_udaje.*
                              FROM Udalost
                              JOIN Motocykl ON Udalost.Motocykl_idMotocykl = Motocykl.idMotocykl
                              JOIN Znacka ON Motocykl.Znacka_idZnacka = Znacka.idZnacka
                              JOIN Klient ON Motocykl.Klient_idKlient = Klient.idKlient
                              JOIN Osobni_udaje ON Klient.Osobni_udaje_idOsobni_udaje = Osobni_udaje.idOsobni_udaje");
                        $stmt->execute();
                    }

                      // Výpis událostí
                      while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                          echo "<div class='container'>";
                          echo "<div class='info-container'>";
                          echo "<div class='info-item'>";
                          echo "<strong>Motocykl:</strong> " . $row['nazev'] . "";
                          echo "<br><strong>Model:</strong> " . $row['model'] . "</br>";
                          echo "<strong>Rok výroby:</strong> " . $row['rokVyroby'] . "";
                          echo "<p><strong>VIN:</strong> " . $row['vin'] . "</p>";
                          echo "<br><strong>Název události:</strong> " . $row['nazevUdalosti'] . "</br>";
                          echo "<strong>Datum zahájení:</strong> " . $row['datumZahajeni'] . "";
                          echo "<br><strong>Datum ukončení:</strong> " . $row['datumUkonceni'] . "</br>";
                          echo "<strong>Poznámky:</strong> " . $row['poznamky'] . "";
                          echo "</div>";
                          echo "<div class='content'>";
                          echo "<button type='button' class='btn btn-primary' onclick='showDetails(\"" . $row['jmeno'] . "\", \"" . $row['prijmeni'] . "\", \"" . $row['telefon'] . "\", \"" . $row['email'] . "\")'>Podrobnosti</button>";
                          echo "<br>";
                          echo "<br><button type='button' class='btn btn-secondary mb-3' onclick='editEvent(\"" . $row['nazevUdalosti'] . "\", \"" . $row['idUdalost'] . "\", \"" . $row['datumZahajeni'] . "\", \"" . $row['datumUkonceni'] . "\", \"" . $row['poznamky'] . "\")'>Upravit událost</button>";
                          echo "<br><button type='button' class='btn btn-danger mb-3' onclick='deleteEvent(" . $row['idUdalost'] . ")'>Odebrat událost</button>";
                          echo "</div>";
                          echo "</div>";
                          echo "</div>";
                      }
                  } catch (PDOException $e) {
                      echo "Připojení k databázi selhalo: " . $e->getMessage();
                  }
                  $conn = null;
                  ?>
              </div>
                <script>
                    function editEvent(nazevUdalosti, idUdalost, datumZahajeni, datumUkonceni, poznamky) {
                        // Vytvoření formuláře pro úpravu události
                        let form = document.createElement('form');
                        form.method = 'post';
                        form.action = '';

                        // Vytvoření inputů
                        let nazevUdalostiInput = document.createElement('textarea');
                        nazevUdalostiInput.name = 'nazevUdalosti';
                        nazevUdalostiInput.placeholder = 'Název události';
                        nazevUdalostiInput.textContent = nazevUdalosti;
                        let datumZahajeniInput = document.createElement('input');
                        datumZahajeniInput.type = 'date';
                        datumZahajeniInput.name = 'datumZahajeni';
                        datumZahajeniInput.value = datumZahajeni;
                        let datumUkonceniInput = document.createElement('input');
                        datumUkonceniInput.type = 'date';
                        datumUkonceniInput.name = 'datumUkonceni';
                        datumUkonceniInput.value = datumUkonceni;
                        let poznamkyInput = document.createElement('textarea');
                        poznamkyInput.name = 'poznamky';
                        poznamkyInput.placeholder = 'Poznámky';
                        poznamkyInput.textContent = poznamky;

                        let okButton = document.createElement('button');
                        okButton.type = 'submit';
                        okButton.className = 'btn btn-primary mb-3';
                        okButton.textContent = 'OK';

                        // Přidání vytvořených inputů a tlačítka
                        form.appendChild(nazevUdalostiInput);
                        form.appendChild(datumZahajeniInput);
                        form.appendChild(datumUkonceniInput);
                        form.appendChild(poznamkyInput);
                        form.appendChild(okButton);

                        // Nahrazení tlačítka "Upravit" formulářem pro úpravu
                        let editButton = event.target;
                        let contentDiv = editButton.closest('.content');
                        contentDiv.innerHTML = '';
                        contentDiv.appendChild(form);

                        // Odeslání formuláře na server
                        form.addEventListener('submit', function (event) {
                            event.preventDefault();
                            let formData = new FormData(form);
                            formData.append('idUdalost', idUdalost);
                            fetch('S_Update_Calendar.php', {
                                method: 'POST',
                                body: formData
                            }).then(response => {
                                if (response.ok) {
                                    location.reload();
                                } else {
                                    alert('Chyba při ukládání údajů');
                                }
                            }).catch(error => alert('Chyba při komunikaci se serverem'));
                        });
                    }
                </script>
                <script>
                // Smazání události
                  function deleteEvent(idUdalost) {
                      if (confirm("Opravdu chcete smazat tuto událost?")) {
                          fetch('S_Smazat_Udalost.php?idUdalost=' + idUdalost, {
                              method: 'DELETE'
                          }).then(response => {
                              if (response.ok) {
                                  location.reload();
                              } else {
                                  alert('Chyba při mazání události');
                              }
                          }).catch(error => alert('Chyba při komunikaci se serverem'));
                      }
                  }
                </script>
                <div id="detailsModal" class="modal">
                  <div class="modal-content">
                   <span class="close" onclick="closeDetailsModal()">&times;</span>
                   <div id="detailsContent"></div>
                  </div>
                </div>
              </div>
              <div class="container-fluid">
                <div class="row">
                    <div class="col">
                        <button type="button" class="btn btn-success mb-3" onclick="addNewEvent()">Přidat událost</button>
                        <button type="button" class="btn btn-info mb-3" onclick="showCurrentEvents()">Aktuální události</button>
                        <button type="button" class="btn btn-info mb-3" onclick="showFutureEvents()">Budoucí události</button>
                    </div>
                </div>
              </div>
              <div id="event-container"></div>
              <script>
                function showCurrentEvents() {
                    // Odeslání požadavku na získání aktuálních událostí
                    fetch('S_Aktual_udal_kalendar.php')
                        .then(response => response.text())
                        .then(data => {
                            // Zobrazení aktuálních událostí na stránce
                            document.getElementById('event-container').innerHTML = data;
                        })
                        .catch(error => console.error('Chyba při získávání aktuálních událostí:', error));
                }

                function showFutureEvents() {
                    // Odeslání požadavku na získání budoucích událostí
                    fetch('S_Budouci_udal_kalendar.php')
                        .then(response => response.text())
                        .then(data => {
                            // Zobrazení budoucích událostí na stránce
                            document.getElementById('event-container').innerHTML = data;
                        })
                        .catch(error => console.error('Chyba při získávání budoucích událostí:', error));
                }
              </script>
              <script>
                // Přidat nové pole pro událost a výběr motocyklu
                function addNewEvent() {
                    var newEventDiv = document.createElement('div');
                    newEventDiv.classList.add('container');
                    newEventDiv.innerHTML = `
                        <div class="info-container">
                            <div class="info-item">
                                <label for="event-name"><strong>Název události:</strong></label>
                                <input type="text" id="event-name" name="event-name">
                                <br>
                                <label for="start-date"><strong>Datum zahájení:</strong></label>
                                <input type="date" id="start-date" name="start-date">
                                <br>
                                <label for="end-date"><strong>Datum ukončení:</strong></label>
                                <input type="date" id="end-date" name="end-date">
                                <br>
                                <label for="notes"><strong>Poznámky:</strong></label>
                                <textarea id="notes" name="notes"></textarea>
                                <br>
                                <label for="motorcycle"><strong>Výběr motocyklu:</strong></label>
                                <select id="motorcycle" name="motorcycle">
                                    <?php
                                    $servername = '10.79.157.1:3306';
                                    $username = 'root';
                                    $password = '*****';
                                    $dbname = 'moto_dilna_db';

                                    try {
                                        $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                                        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                                        // Načtení možností výběru z databáze
                                        $stmt = $conn->prepare("SELECT idMotocykl, vin, model FROM Motocykl");
                                        $stmt->execute();

                                        // Vypsání možností výběru
                                        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                                            echo '<option value="' . $row['idMotocykl'] . '">' . $row['model'] . ' - ' . $row['vin'] . '</option>';
                                        }

                                    } catch(PDOException $e) {
                                        echo 'Chyba při připojení k databázi: ' . $e->getMessage();
                                    }
                                    $conn = null;
                                    ?>
                                </select>
                                <br>
                                <label for="created-date"><strong>Datum vytvoření:</strong></label>
                                <input type="date" id="created-date" name="created-date" readonly>
                            </div>
                            <button type="button" class="btn btn-primary" onclick="saveNewEvent()">Uložit</button>
                        </div>
                    `;

                    var eventContainer = document.querySelector('.scrollable');
                    eventContainer.insertBefore(newEventDiv, eventContainer.firstChild);

                    // Automatické vyplnění idUdalost, datumVytvoreni a ukonceni
                    document.getElementById('start-date').value = getCurrentDate();
                    document.getElementById('end-date').value = getCurrentDate();
                    document.getElementById('created-date').value = getCurrentDate();
                }

              // Uložení nové události
              function saveNewEvent() {
                var eventName = document.getElementById('event-name').value;
                var startDate = document.getElementById('start-date').value;
                var endDate = document.getElementById('end-date').value;
                var notes = document.getElementById('notes').value;
                var createdDate = document.getElementById('created-date').value;
                var motorcycleId = document.getElementById('motorcycle').value;

                // Odeslání dat pro zápis do databáze
                var xmlhttp = new XMLHttpRequest();
                xmlhttp.onreadystatechange = function() {
                    if (this.readyState == 4 && this.status == 200) {
                        alert("Událost byla úspěšně uložena!");
                    }
                };
                xmlhttp.open("POST", "S_Vlozit_Udalost.php", true);
                xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                xmlhttp.send("eventName=" + eventName + "&startDate=" + startDate + "&endDate=" + endDate + "&notes=" + notes + "&createdDate=" + createdDate + "&motorcycleId=" + motorcycleId);
            }

                // Získání aktuálního data ve formátu YYYY-MM-DD
                function getCurrentDate() {
                    var currentDate = new Date();
                    var year = currentDate.getFullYear();
                    var month = ('0' + (currentDate.getMonth() + 1)).slice(-2);
                    var day = ('0' + currentDate.getDate()).slice(-2);
                    return year + '-' + month + '-' + day;
                }
              </script>
            </div>
          </div>         
        </div>
      </div> 
      <div class="col-lg-2 col-md-3 purple-bar">
        <div class="button-container">
          <br>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Domov</button>
            <form method="post">
             <button type="submit" name="logout" class="btn btn-danger mb-3">Odhlásit se</button>
            </form>
        </div>
      </div>
    </div>
  </div>
  <script>
      function showDetails(jmeno, prijmeni, telefon, email) {
        var modal = document.getElementById("detailsModal");
        var detailsContent = document.getElementById("detailsContent");
        detailsContent.innerHTML = "<p><strong>Jméno:</strong> " + jmeno + "</p>" +
                                    "<p><strong>Příjmení:</strong> " + prijmeni + "</p>" +
                                    "<p><strong>Telefon:</strong> " + telefon + "</p>" +
                                    "<p><strong>Email:</strong> " + email + "</p>";
        modal.style.display = "block";
      }

      function closeDetailsModal() {
        var modal = document.getElementById("detailsModal");
        modal.style.display = "none";
      }
  </script>
</body>
</html>