<?php
include 'S_security.php';
?>


<!DOCTYPE html>
<html lang="cs">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Seznam klientů</title>
  <link rel="icon" type="image/png" href="Photo.png">
  <link href="scss.css" rel="stylesheet" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-2 col-md-3 purple-bar">
        <div class="button-container">
          <br>
          <button type="button" class="btn btn-success mb-3" onclick="window.location.href='M_Addmoto.php';"><b>Přidat motocykl</b></button>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Addclient.php';">Přidat uživatele</button>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Calendar.php';">Plánovač událostí</button>
          <button onclick="openModal()" class="btn btn-primary mb-3">Seznam kolegů</button>
            <div id="myModal" class="modal">
              <div class="modal-content">
               <span class="close" onclick="closeModal()">&times;</span>
                  <?php

                    $servername = '10.79.157.1:3306';
                    $username = 'root';
                    $password = '*****';
                    $dbname = 'moto_dilna_db';

                    try {
                        $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                        // Načtení jmen a příjmení kolegů
                        $stmt = $conn->prepare("SELECT login
                            FROM Prihlasovaci_udaje
                            WHERE Prava_idPrava = 2");
                            $stmt->execute();

                            // Výpis jmen a příjmení
                            echo "<ul>";
                            while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                            echo "<li>" . $row['login'] . "</li>";
                            }
                            echo "</ul>";

                            } catch(PDOException $e) {
                                  echo "Připojení k databázi selhalo: " . $e->getMessage();
                            }
                   $conn = null;
                  ?>
              </div>
            </div>
            <script> 
              // Zobrazení vyskakovacího okna
              function openModal() {
              document.getElementById("myModal").style.display = "block";
              }
              // Zavření okna
              function closeModal() {
              document.getElementById("myModal").style.display = "none";
              }
              // Skrytí okna po kliknutívedle
              window.onclick = function(event) {
              var modal = document.getElementById("myModal");
              if (event.target == modal) {
              modal.style.display = "none";
              }
              }
            </script>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Seznam motocyklů</button>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Chat.php';">Podpora</button>
        </div>
      </div>
      <div class="col-lg-8 col-md-8">
        <div class="middle-bar">
          <div class="content">
            <div class="centered-text">
              <div class="container">
               <h2>Vyhledání uživatele:</h2>
                <form method="get" action="">
                  <input type="text" name="search" placeholder="Jméno/příjmení uživatele">
                    <select name="selected_user" class="form-select">
                      <option value="">Vyberte uživatele</option>
                        <?php

                        $servername = '10.79.157.1:3306';
                        $username = 'root';
                        $password = '*****';
                        $dbname = 'moto_dilna_db';

                        try {
                            $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                            // Výpis jmen a příjmení kolegů
                            $stmt = $conn->prepare("SELECT Osobni_udaje.jmeno, Osobni_udaje.prijmeni 
                            FROM Osobni_udaje 
                            JOIN Klient ON Osobni_udaje.idOsobni_udaje = Klient.Osobni_udaje_idOsobni_udaje 
                            JOIN Prihlasovaci_udaje ON Klient.Prihlasovaci_udaje_idPrihlasovaci_udaje = Prihlasovaci_udaje.idPrihlasovaci_udaje
                            WHERE Prava_idPrava = 3;");
                            $stmt->execute();

                            // Výpis jmen a příjmení uživatelů
                            while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                                echo "<option value='" . $row['jmeno'] . " " . $row['prijmeni'] . "'>" . $row['jmeno'] . " " . $row['prijmeni'] . "</option>";
                            }
                        } catch(PDOException $e) {
                            echo "Připojení k databázi selhalo: " . $e->getMessage();
                        }
                        ?>
                    </select>
                      <button type="submit" class="btn btn-primary mb-3">Vyhledat</button>
                      <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='M_Clientseznam.php';">Zpět</button>
                </form>
              </div>
              <div class="container">
                <?php

                $servername = '10.79.157.1:3306';
                $username = 'root';
                $password = '*****';
                $dbname = 'moto_dilna_db';

                try {
                    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                    // Vyhledávání uživatele podle jména nebo příjmení
                    if(isset($_GET['search']) && !empty($_GET['search'])) {
                        $search = $_GET['search'];
                        $stmt = $conn->prepare("SELECT o.jmeno, o.prijmeni, o.telefon, o.email, o.idOsobni_udaje, m.VIN, m.rokVyroby, m.model, m.foto
                                                FROM Osobni_udaje o
                                                JOIN Klient k ON o.idOsobni_udaje = k.Osobni_udaje_idOsobni_udaje
                                                JOIN Motocykl m ON k.idKlient = m.Klient_idKlient
                                                WHERE o.jmeno LIKE :search OR o.prijmeni LIKE :search");
                        $stmt->execute(array(':search' => '%' . $search . '%'));
                    } elseif(isset($_GET['selected_user']) && !empty($_GET['selected_user'])) {
                        $selected_user = $_GET['selected_user'];
                        list($jmeno, $prijmeni) = explode(" ", $selected_user);
                        $stmt = $conn->prepare("SELECT o.jmeno, o.prijmeni, o.telefon, o.email, o.idOsobni_udaje, m.VIN, m.rokVyroby, m.model, m.foto
                                                FROM Osobni_udaje o
                                                JOIN Klient k ON o.idOsobni_udaje = k.Osobni_udaje_idOsobni_udaje
                                                JOIN Motocykl m ON k.idKlient = m.Klient_idKlient
                                                WHERE o.jmeno = :jmeno AND o.prijmeni = :prijmeni");
                        $stmt->execute(array(':jmeno' => $jmeno, ':prijmeni' => $prijmeni));
                    }

                    // Naplnění pole
                    $users = array();
                    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                        $user_id = $row['idOsobni_udaje'];
                        // Pokud uživatel již existuje v poli, přidá moto
                        if (array_key_exists($user_id, $users)) {
                            $users[$user_id]['motocykly'][] = array(
                                'VIN' => $row['VIN'],
                                'rokVyroby' => $row['rokVyroby'],
                                'model' => $row['model'],
                                'foto' => $row['foto']
                            );
                        } else {
                            // Pokud uživatel neexistuje v poli, vytvořte nový záznam
                            $users[$user_id] = array(
                                'idOsobni_udaje' => $user_id,
                                'jmeno' => $row['jmeno'],
                                'prijmeni' => $row['prijmeni'],
                                'telefon' => $row['telefon'],
                                'email' => $row['email'],
                                'motocykly' => array(
                                    array(
                                        'VIN' => $row['VIN'],
                                        'rokVyroby' => $row['rokVyroby'],
                                        'model' => $row['model'],
                                        'foto' => $row['foto']
                                    )
                                )
                            );
                        }
                    }
                    // Výpis tlačítek s informacemi o uživatelích a jejich motocyklech
                    foreach ($users as $user) {
                        echo "<div class='user-info'>";
                        echo "<button type='button' class='btn-lg mb-4 text-center' onclick=\"window.location.href='M_Userpage.php?idOsobni_udaje=" . $user['idOsobni_udaje'] . "&";
                        $vins = array_column($user['motocykly'], 'VIN');
                        foreach ($vins as $key => $vin) {
                            // Přidání indexu k VIN, pokud je více než jedno vin v url
                            $param = ($key == 0) ? 'vin=' : 'vin' . $key . '=';
                            echo $param . $vin . "&";
                        }
                        echo "';\">";
                        echo "<b>" . $user['jmeno'] . " " . $user['prijmeni'] . "</b>";
                        echo "<br><b>Telefon: </b>" . $user['telefon'] . "</br>";
                        echo "<b>Email: </b>" . $user['email'] . "</br>";
                        echo "<br><b>Stroje klienta</b></br>";
                        foreach ($user['motocykly'] as $motocykl) {
                            echo "<div class='motocykl'>";
                            echo "<div class='motocykl-model'>" . $motocykl['model'] . "</div>";
                            echo "</div>";
                        }
                        echo "</button>";
                        echo "</div>";
                    }

                } catch(PDOException $e) {
                    echo "Připojení k databázi selhalo: " . $e->getMessage();
                }
                $conn = null;
                ?>
              </div>
          </div>
        </div>   
      </div>
      </div>
      <div class="col-lg-2 col-md-3 purple-bar">
        <div class="button-container">
          <br>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Domov</button>
          <form method="post">
            <button type="submit" name="logout" class="btn btn-danger mb-3">Odhlásit se</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</body>
</html>
