<?php
include 'S_security.php';

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Získání údajů pomocí idOsobni_udaje
    $idOsobni_udaje = $_GET['idOsobni_udaje'];

    $sql_person = "SELECT * FROM Osobni_udaje WHERE idOsobni_udaje = :idOsobni_udaje";
    $stmt_person = $conn->prepare($sql_person);
    $stmt_person->bindParam(':idOsobni_udaje', $idOsobni_udaje);
    $stmt_person->execute();
    $row_person = $stmt_person->fetch(PDO::FETCH_ASSOC);

        // Získání adresy
        $sql_adress = "SELECT * FROM Adresa
        INNER JOIN Osobni_udaje ON Osobni_udaje.Adresa_idAdresa = Adresa.idAdresa
        WHERE Osobni_udaje.idOsobni_udaje = :Adresa";
        $stmt_adress = $conn->prepare($sql_adress);
        $stmt_adress->bindParam(':Adresa', $idOsobni_udaje);
        $stmt_adress->execute();
        $row_adress = $stmt_adress->fetch(PDO::FETCH_ASSOC);

        $sql_ico = "SELECT ico FROM Klient WHERE Osobni_udaje_idOsobni_udaje = :idOsobni_udaje";
        $stmt_ico = $conn->prepare($sql_ico);
        $stmt_ico->bindParam(':idOsobni_udaje', $idOsobni_udaje);
        $stmt_ico->execute();
        $row_ico = $stmt_ico->fetch(PDO::FETCH_ASSOC);

} catch(PDOException $e) {
    echo "Chyba při připojení k databázi: " . $e->getMessage();
}
?>
<!DOCTYPE html>
<html lang="cs">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Uživatelský profil</title>
  <link rel="icon" type="image/png" href="Photo.png">
  <link href="scss.css" rel="stylesheet" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-2 col-md-3 purple-bar">
                <div class="button-container">
                  <br>
                 <button type="button" class="btn btn-primary mb-3" onclick="window.history.back();">Zpět</button>
                 <script>
                    function deleteData() {
                        if(confirm("Opravdu chcete motocykl a všechny jeho přiřazené události smazat z databáze?")) {
                            // Získání VIN a idOsobni_udaje z URL
                            var urlParams = new URLSearchParams(window.location.search);
                            var vin = urlParams.get('vin');
                            var idOsobni_udaje = urlParams.get('idOsobni_udaje');
                            var adresaId = document.getElementById('adresa_id').value;
                            var login = "<?php echo $login; ?>";

                            console.log("ID adresy: " + adresaId);

                            // Vytvoření AJAX objektu
                            var xhr = new XMLHttpRequest();

                            // Definice URL adresy PHP skriptu pro zpracování smazání
                            var url = "S_Smazat_full_user.php";

                            // Otevření spojení
                            xhr.open("POST", url, true);

                            xhr.onload = function() {
                                if (xhr.status == 200) {
                                    console.log(xhr.responseText);
                                    window.location.href = 'mechanik.php';
                                }
                            };

                            // Nastavení hlavičky požadavku
                            xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

                            // Odeslání požadavku s daty formuláře
                            xhr.send("delete=1&VIN=" + vin + "&idOsobni_udaje=" + idOsobni_udaje + "&adresa_id=" + adresaId + "&login=" + login);
                        }
                    }
                </script>
                <form id="deleteForm" method="post">
                    <input type="hidden" name="delete" value="1">
                    <button type="button" class="btn btn-primary mb-3" onclick="deleteData()">Smazat uživatele</button>
                </form>
                </div>
            </div>
            <div class="col-lg-8 col-md-8">
                <div class="middle-bar">
                    <div class="enter">
                        <div class="centered-text">
                            <div class="content">
                             <h1><b>Účet uživatele</b></h1>
                            </div>
                                <div class="custom-frame">  
                                    <div class="row">
                                        <div class="col-md-6">                                       
                                            <div class="custom-frame">
                                                <div class="centered-text">
                                                 <h4><b>Uživatelské údaje</b></h4>
                                                </div>
                                                <br>
                                                <div class="form-group">
                                                 <label for="jmeno">Jméno:</label>
                                                 <input type="text" id="jmeno" value="<?php echo $row_person['jmeno']; ?>" readonly><br>
                                                </div>
                                                <div class="form-group">
                                                 <label for="prijmeni">Příjmení:</label>
                                                 <input type="text" id="jmeno" value="<?php echo $row_person['prijmeni']; ?>" readonly><br>
                                                </div>
                                                <div class="form-group">
                                                 <label for="datum">Datum narození:</label>
                                                 <input type="date" id="datum" value="<?php echo $row_person['datumNarozeni']; ?>" readonly><br>
                                                </div>
                                                <div class="form-group">
                                                    <label for="Adresa">Bydliště:</label>
                                                    <input type="text" id="Adresa" value="<?php echo $row_adress['mesto'] . ' - ' .  $row_adress['ulice'] . ' ' . $row_adress['cisloPopisne'] . ' / ' . $row_adress['psc']; ?>" readonly><br>
                                                    <input type="hidden" id="adresa_id" value="<?php echo $row_adress['idAdresa']; ?>">
                                                </div>
                                                <div class="form-group">
                                                 <label for="email">Email:</label>
                                                 <input type="email" id="adresa" value="<?php echo $row_person['email']; ?>" readonly><br>
                                                </div>
                                                <div class="form-group">
                                                 <label for="mobil">Mobil:</label>
                                                 <input type="telefon" id="telefon" value="<?php echo $row_person['telefon']; ?>" readonly><br>
                                                </div>
                                                <div class="form-group">
                                                    <label for="mobil">IČO:</label>
                                                    <?php
                                                    // Zkontroluj, zda je $row_ico['ico'] prázdné
                                                    if (!empty($row_ico['ico'])) {
                                                        // Pokud není, vypíše hodnotu
                                                        echo '<input type="text" id="ico" value="' . $row_ico['ico'] . '" readonly><br>';
                                                    } else {
                                                        // Pokud je, vypíše zprávu
                                                        echo '<input type="text" id="ico" value="Nepřiřazeno" readonly><br>';
                                                    }
                                                    ?>
                                                </div>
                                                <br>
                                            </div>
                                        </div>                                                           
                                        <div class="col-md-6">
                                            <div class="custom-frame">
                                                <div class="centered-text">
                                                    <h4><b>Motocykl uživatele</b></h4>
                                                    <?php

                                                    $servername = '10.79.157.1:3306';
                                                    $username = 'root';
                                                    $password = '*****';
                                                    $dbname = 'moto_dilna_db';

                                                    try {
                                                        $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
                                                        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                                                        // Inicializace pro ukládání VIN
                                                        $VINs = array();

                                                        // Získání všech VIN z URL
                                                        foreach ($_GET as $key => $value) {
                                                            if (strpos($key, 'vin') !== false) {
                                                                $VINs[] = $value;
                                                            }
                                                        }

                                                        // Pro každý VIN se získají údaje o motocyklu a provede se výpis údajů
                                                        foreach ($VINs as $VIN) {
                                                            // Získání informací o motocyklu
                                                            $sql_motorcycle = "SELECT * FROM Motocykl WHERE vin = :vin";
                                                            $stmt_motorcycle = $conn->prepare($sql_motorcycle);
                                                            $stmt_motorcycle->bindParam(':vin', $VIN);
                                                            $stmt_motorcycle->execute();
                                                            $row_motorcycle = $stmt_motorcycle->fetch(PDO::FETCH_ASSOC);

                                                            // Získání značky motocyklu
                                                            $sql_brand = "SELECT nazev 
                                                                        FROM Znacka
                                                                        INNER JOIN Motocykl ON Motocykl.Znacka_idZnacka = Znacka.idZnacka
                                                                        WHERE Motocykl.vin = :vin";
                                                            $stmt_brand = $conn->prepare($sql_brand);
                                                            $stmt_brand->bindParam(':vin', $VIN);
                                                            $stmt_brand->execute();
                                                            $row_brand = $stmt_brand->fetch(PDO::FETCH_ASSOC);

                                                            // Výpis údajů o motocyklu
                                                            echo "<div class='custom-frame'>";
                                                            echo "<b>Značka:</b> " . $row_brand['nazev'] . "<br>";
                                                            echo "<b>Model:</b> " . $row_motorcycle['model'] . "<br>";
                                                            echo "<b>VIN:</b> " . $row_motorcycle['vin'] . "<br>";
                                                            echo "<b>Rok výroby:</b> " . $row_motorcycle['rokVyroby'] . "<br>";
                                                            echo "<b>Stav KM:</b> <span id='stavKM'>" . $row_motorcycle['pocetKM'] . "</span>";
                                                            echo "<input type='text' id='editStavKM' style='display: none;' value='" . $row_motorcycle['pocetKM'] . "'><br>";
                                                            echo "<b>Platnost STK:</b> <span id='platnostSTK'>" . $row_motorcycle['platnostSTK'] . "</span>";
                                                            echo "<input type='text' id='editPlatnostSTK' style='display: none;' value='" . $row_motorcycle['platnostSTK'] . "'><br>";
                                                            echo "<br><img src='" . $row_motorcycle['foto'] . "' alt='Obrázek' class='img-fluid' width='230' height='160'><br>";
                                                            echo "<br>";
                                                            echo "<div>";
                                                            // Předání VIN do odkazu na stránku s podrobnostmi o motocyklu
                                                            echo "<button type='button' class='btn btn-primary mb-3' onclick=\"window.location.href = 'M_Motoupgrade.php?VIN=" . urlencode($VIN) . "&idOsobni_udaje=" . urlencode($idOsobni_udaje) . "';\">Podrobnosti</button>";
                                                            echo "</div>";
                                                            echo "</div>";
                                                        }

                                                    } catch(PDOException $e) {
                                                        echo "Připojení k databázi selhalo: " . $e->getMessage();
                                                    }
                                                    $conn = null;
                                                    ?>                                      
                                                </div>                                                                            
                                            </div>
                                        </div> 
                                    </div>
                                </div>
                            </div>            
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-3 purple-bar">
                    <div class="button-container">
                     <br>
                     <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Domov</button>
                        <form method="post">
                        <button type="submit" name="logout" class="btn btn-danger mb-3">Odhlásit se</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>