<div class="scrollable">
<?php

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Získání aktuálních událostí
    $currentDate = date('Y-m-d');
    $stmt = $conn->prepare("SELECT u.idUdalost, u.nazevUdalosti, u.datumZahajeni, u.datumUkonceni, u.poznamky, m.model, z.nazev, m.rokVyroby, m.vin, o.jmeno, o.prijmeni, o.telefon, o.email
    FROM Udalost u
    JOIN Motocykl m ON u.Motocykl_idMotocykl = m.idMotocykl
    JOIN Znacka z ON m.Znacka_idZnacka = z.idZnacka
    JOIN Klient k ON m.Klient_idKlient = k.idKlient
    JOIN Osobni_udaje o ON k.Osobni_udaje_idOsobni_udaje = o.idOsobni_udaje
    WHERE datumZahajeni <= :currentDate AND datumUkonceni >= :currentDate");
    $stmt->bindParam(':currentDate', $currentDate);
    $stmt->execute();

    // Vytvoření HTML pro zobrazení aktuálních událostí
    $html = '';
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $html .= '<div class="container">';
        $html .= '<div class="info-container">';
        $html .= '<div class="info-item">';
        $html .= '<strong>Motocykl:</strong> ' . $row['nazev'] . '<br>';
        $html .= '<strong>Model:</strong> ' . $row['model'] . '<br>';
        $html .= '<strong>Rok výroby:</strong> ' . $row['rokVyroby'] . '<br>';
        $html .= '<p><strong>VIN:</strong> ' . $row['vin'] . '</p>';
        $html .= '<strong>Název události:</strong> ' . $row['nazevUdalosti'] . '<br>';
        $html .= '<strong>Datum zahájení:</strong> ' . $row['datumZahajeni'] . '<br>';
        $html .= '<strong>Datum ukončení:</strong> ' . $row['datumUkonceni'] . '<br>';
        $html .= '<strong>Poznámky:</strong> ' . $row['poznamky'];
        $html .= '</div>';
        $html .= '<div class="content">';
        $html .= '<button type="button" class="btn btn-primary" onclick="showDetails(\'' . $row['jmeno'] . '\', \'' . $row['prijmeni'] . '\', \'' . $row['telefon'] . '\', \'' . $row['email'] . '\')">Podrobnosti</button><br>';
        $html .= '<br><button type="button" class="btn btn-secondary mb-3" onclick="editEvent(\'' . $row['nazevUdalosti'] . '\', \'' . $row['idUdalost'] . '\', \'' . $row['datumZahajeni'] . '\', \'' . $row['datumUkonceni'] . '\', \'' . $row['poznamky'] . '\')">Upravit událost</button><br>';
        $html .= '<button type="button" class="btn btn-danger mb-3" onclick="deleteEvent(' . $row['idUdalost'] . ')">Odebrat událost</button>';
        $html .= '</div>';
        $html .= '</div>';
        $html .= '</div>';
    }

    echo $html;
} catch (PDOException $e) {
    echo "Chyba při získávání aktuálních událostí: " . $e->getMessage();
}
$conn = null;
?>
</div>