<?php
include 'S_security.php';

require '/home/vendor/autoload.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Odeslání e-mailu
function sendEmail($to, $subject, $message) {
    $mail = new PHPMailer(true);

    try {
        $mail->isSMTP();
        $mail->Host = 'smtp.seznam.cz';
        $mail->SMTPAuth = true;
        $mail->Username = 'infomoto@rigldavid.fun';
        $mail->Password = '*****';
        $mail->SMTPSecure = 'ssl';
        $mail->Port = 465;

        $mail->CharSet = 'UTF-8';

        // Nastavení odesílatele a příjemce
        $mail->setFrom('infomoto@rigldavid.fun', 'Moto dilna DP');
        $mail->addAddress('infomoto@rigldavid.fun');

        // Obsah emailu
        $mail->isHTML(true);
        $mail->Subject = $subject;
        $mail->Body = $message;

        // Odeslání emailu
        $mail->send();
        return true;
    } catch (Exception $e) {
        error_log($mail->ErrorInfo);
        echo "Chyba při odesílání emailu: " . $mail->ErrorInfo;
    }
}

// Zpracování formuláře
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Získání hodnot z formuláře
    $sender_email = $_POST['sender_email'];
    $message_content = $_POST['message'];

    // Vytvoření předmětu zprávy
    $subject = "Support mechanik";

    // Sestavení textu zprávy
    $message = "Z webové aplikace pomocí emailu: \"$sender_email\" vám píše mechanik: \"$message_content\".";

    // Odeslání emailu
    sendEmail('infomoto@rigldavid.fun', $subject, $message);
}
?>

<!DOCTYPE html>
<html lang="cs">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Podpora</title>
  <link rel="icon" type="image/png" href="Photo.png">
  <link href="scss.css" rel="stylesheet" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-2 col-md-3 purple-bar">
                <div class="button-container">
                  <br>
                 <button type="button" class="btn btn-primary mb-3" onclick="window.history.back();">Zpět</button>
                </div>
            </div>
            <div class="col-lg-8 col-md-8">
                <div class="middle-bar">
                    <div class="enter">
                        <div class="centered-text">
                            <div class="content">
                                <h1><b>Support chat</b></h1>
                            </div>
                            <div class="row">
                                <div class="card-body">    
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="container chat-container">
                                                <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
                                                    <div class="message-input">
                                                        <input type="email" class="form-control" placeholder="Váš email" name="sender_email" required><br>
                                                        <textarea class="form-control" placeholder="Vaše zpráva..." name="message" required></textarea>
                                                        <br>
                                                        <button class="btn btn-primary" type="submit">Odeslat</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>            
            </div>
            <div class="col-lg-2 col-md-3 purple-bar">
            <div class="button-container">
          <br>
          <button type="button" class="btn btn-primary mb-3" onclick="window.location.href='mechanik.php';">Domov</button>
            </div>
            </div>
        </div>
    </div>
</body>
</html>
