<?php
// Spuštění relace
session_start();

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if(isset($_POST['delete'])) {
        // Získání VIN z formuláře
        $VIN = $_POST['VIN'];
        $idOsobni_udaje = $_POST['idOsobni_udaje'];
        $adresaId = $_POST['adresa_id'];

        // Získání loginu
        $sql_login = "SELECT login FROM Prihlasovaci_udaje WHERE idPrihlasovaci_udaje IN (SELECT Prihlasovaci_udaje_idPrihlasovaci_udaje FROM Klient WHERE Osobni_udaje_idOsobni_udaje = :idOsobni_udaje)";
        $stmt_login = $conn->prepare($sql_login);
        $stmt_login->bindParam(':idOsobni_udaje', $idOsobni_udaje);
        $stmt_login->execute();
        $login_row = $stmt_login->fetch(PDO::FETCH_ASSOC);

        // Získání loginu
        $login = $login_row['login'];

        // Smazání záznamů z tabulky Udalost
        $stmt = $conn->prepare("DELETE FROM Udalost WHERE Motocykl_idMotocykl IN (SELECT idMotocykl FROM Motocykl WHERE vin = :vin)");
        $stmt->bindParam(':vin', $VIN);
        $stmt->execute();

        // Smazání záznamů z tabulky Motocykl
        $stmt = $conn->prepare("DELETE FROM Motocykl WHERE vin = :vin");
        $stmt->bindParam(':vin', $VIN);
        $stmt->execute();

        // Smazání záznamů z tabulky Klient
        $stmt = $conn->prepare("DELETE FROM Klient WHERE Osobni_udaje_idOsobni_udaje = :idOsobni_udaje");
        $stmt->bindParam(':idOsobni_udaje', $idOsobni_udaje);
        $stmt->execute();

        // Smazání záznamů z tabulky Osobni_udaje
        $stmt = $conn->prepare("DELETE FROM Osobni_udaje WHERE idOsobni_udaje = :idOsobni_udaje");
        $stmt->bindParam(':idOsobni_udaje', $idOsobni_udaje);
        $stmt->execute();

        // Smazání záznamů z tabulky Prihlasovaci_udaje
        $stmt = $conn->prepare("DELETE FROM Prihlasovaci_udaje WHERE login = :login");
        $stmt->bindParam(':login', $login);
        $stmt->execute();

        // Smazání záznamů z tabulky Adresa
        $stmt = $conn->prepare("DELETE FROM Adresa WHERE idAdresa = :adresa_id");
        $stmt->bindParam(':adresa_id', $adresaId);
        $stmt->execute();

        $conn = null;
    }
} catch(PDOException $e) {
    echo "Chyba při připojení k databázi: " . $e->getMessage();
    $conn = null;
}
?>
