<?php
session_start();

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {

    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Získání dat z formuláře
    $mesto = $_POST["mesto"];
    $ulice = $_POST["ulice"];
    $psc = $_POST["psc"];
    $cisloPopisne = $_POST["cisloPopisne"];

    $stmt = $conn->prepare("UPDATE Adresa
JOIN Osobni_udaje ON Adresa.idAdresa = Osobni_udaje.Adresa_idAdresa 
JOIN Klient ON Osobni_udaje.idOsobni_udaje = Klient.Osobni_udaje_idOsobni_udaje
SET Adresa.mesto = :mesto, Adresa.ulice = :ulice, Adresa.psc = :psc, Adresa.cisloPopisne = :cisloPopisne
WHERE Klient.idKlient = :user_id");

$stmt->bindParam(':mesto', $mesto);
$stmt->bindParam(':ulice', $ulice);
$stmt->bindParam(':psc', $psc);
$stmt->bindParam(':cisloPopisne', $cisloPopisne);
$stmt->bindParam(':user_id', $_SESSION['user_id']);
$stmt->execute();

    http_response_code(200);
} catch (PDOException $e) {
    http_response_code(500);
    echo "Chyba při aktualizaci události: " . $e->getMessage();
}
$conn = null;
?>
