<?php

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // vložení nové události
    $stmt = $conn->prepare("INSERT INTO Udalost ( datumVytvoreni, nazevUdalosti, datumZahajeni, datumUkonceni, poznamky, Motocykl_idMotocykl) VALUES (:datumVytvoreni, :nazevUdalosti, :datumZahajeni, :datumUkonceni, :poznamky, :motorcycleId)");
    $stmt->bindParam(':datumVytvoreni', $_POST['createdDate']);
    $stmt->bindParam(':nazevUdalosti', $_POST['eventName']);
    $stmt->bindParam(':datumZahajeni', $_POST['startDate']);
    $stmt->bindParam(':datumUkonceni', $_POST['endDate']);
    $stmt->bindParam(':poznamky', $_POST['notes']);
    $stmt->bindParam(':motorcycleId', $_POST['motorcycleId']);
    $stmt->execute();

    echo "Událost byla úspěšně uložena";
} catch (PDOException $e) {
    echo "Chyba při ukládání události: " . $e->getMessage();
}
$conn = null;
?>
