<?php

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
// Hashování hesel pro záznamy v tabulce
$sql = "SELECT idPrihlasovaci_udaje, heslo FROM Prihlasovaci_udaje";
$stmt = $conn->prepare($sql);
$stmt->execute();
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($results as $row) {
    $id = $row['idPrihlasovaci_udaje'];
    $password = $row['heslo'];

    $hashed_password = password_hash($password, PASSWORD_DEFAULT);

    // Aktualizace hesla v databázi
    $update_sql = "UPDATE Prihlasovaci_udaje SET heslo_hash = :heslo_hash WHERE idPrihlasovaci_udaje = :id";
    $update_stmt = $conn->prepare($update_sql);
    $update_stmt->bindParam(':heslo_hash', $hashed_password);
    $update_stmt->bindParam(':id', $id);
    $update_stmt->execute();
}

echo "Hesla byla úspěšně převedena do hashů.";
} catch(PDOException $e) {
    echo "Připojení k databázi selhalo: " . $e->getMessage();
}
?>
