<?php

$servername = '10.79.157.1:3306';
$username = 'root';
$password = '*****';
$dbname = 'moto_dilna_db';

try {
    // Vytvoření spojení pomocí PDO
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $vin = $_POST['motorcycle'];

    // Získání idMotocykl podle vin
    $stmt = $conn->prepare("SELECT idMotocykl FROM Motocykl WHERE vin = :vin");
    $stmt->bindParam(':vin', $vin);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    $motorcycleId = $row['idMotocykl'];

    // Vložení události do databáze
    $stmt = $conn->prepare("INSERT INTO Udalost (nazevUdalosti, datumZahajeni, datumUkonceni, poznamky, datumVytvoreni, Motocykl_idMotocykl) VALUES (:nazev, :datumZahajeni, :datumUkonceni, :poznamky, :datumVytvoreni, :idMotocykl)");
    $stmt->bindParam(':nazev', $_POST['event-name']);
    $stmt->bindParam(':datumZahajeni', $_POST['start-date']);
    $stmt->bindParam(':datumUkonceni', $_POST['end-date']);
    $stmt->bindParam(':poznamky', $_POST['notes']);
    $stmt->bindParam(':datumVytvoreni', $_POST['created-date']);
    $stmt->bindParam(':idMotocykl', $motorcycleId);
    $stmt->execute();

    $conn = null;

    echo "success";
} catch(PDOException $e) {
    echo 'Chyba při zápisu do databáze: ' . $e->getMessage();
}
?>
